package com.huimv.beeboxs.entity.vo;

import lombok.Data;

import java.util.Date;

@Data
public class HiveBaseStationVo {
    private Integer id;

    /**
     * 网关 ID
     */
    private String apUidHex;

    /**
     * 网关型号
     */
    private String model;

    /**
     * 网关别名
     */
    private String apName;

    /**
     * 0-表示在线；1-表示离线
     */
    private Integer apState;

    /**
     * 1-仓库内；2-室内；3车载；4-出入库闸门；5-电子围栏；6-便携手持；
     0-其他
     */
    private Integer purpose;

    /**
     * 网关经度
     */
    private String latitude;

    /**
     * 网关纬度
     */
    private String longitude;

    /**
     * 环境温度
     */
    private String envTem;


    /**
     * 环境湿度
     */
    private String envHum;


    /**
     * 牧场id
     */
    private Integer farmIds;


    /**
     * 云台编号
     */
    private String cameraId ;
    /**
     * 通道ID
     */
    private String channelId;

    /**
     * 通道ID
     */
    private String channelName;
    
    /**
     * 云台通道
     */
    private String cameraChannelId;

    /**
     * 牧场id
     */
    private Date bindingDate;


    /**
     * 牧场id
     */
    private String  farmName;


    /**
     * 牧场id
     */
    private String  deviceId;





}
