package com.huimv.beeboxs.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.beeboxs.entity.User;
import com.huimv.beeboxs.entity.dto.UserAccountDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author astupidcoder
 * @since 2021-09-09
 */
@Repository
public interface UserMapper extends BaseMapper<User> {

    List<UserAccountDto> findUserAndAccountByUserName(@Param("searchStr") String searchStr, @Param("start") int start, @Param("pageSize") int pageSize);

    List<UserAccountDto> findUserAndAccount(@Param("start") int start, @Param("pageSize") int pageSize);
}
