package com.huimv.beeboxs.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2022-04-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("hive_beehive_status")
public class HiveBeehiveStatus implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 蜂箱 ID
     */
    private String hiveId;

    /**
     * 蜂箱编码
     */
    private String hiveCode;

    /**
     * 状态类型
     */
    private String abnormal;

    /**
     * 状态描述
     */
    private String desc;

    /**
     * 日期
     */
    private LocalDateTime createDate;

    /**
     * 牧场id
     */
    private Integer farmId;


}
