package com.huimv.beeboxs.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.beeboxs.entity.dto
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2022/4/21 0021 14:10
 **/
@Data
public class HiveBaseBeehiveDto {
    private Integer id;

    /**
     * 标签ID
     */
    private String uidHex;

    /**
     * 网关ID
     */
    private String apUidHex;

    /**
     * 标签别名
     */
    private String tagName;

    /**
     * 标签型号
     */
    private String model;

    /**
     * 0-表示在线；1-表示离线
     */
    private Integer tagState;

    /**
     * 最近一次上报时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date uploadTime;

    /**
     * 标签电压
     */
    private String voltage;

    /**
     * 标签剩余天数
     */
    private Integer surPlusdays;

    /**
     * 标签经度
     */
    private String latitude;

    /**
     * 标签纬度
     */
    private String longitude;

    /**
     * 标签发送序号， 设备每发送一次序号加1
     */
    private Integer sentNum;

    /**
     * 信号强度 ，负数
     */
    private Integer rssi;

}
