package com.huimv.beeboxs.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.beeboxs.entity.Menu;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author astupidcoder
 * @since 2021-09-09
 */
@Repository
public interface MenuMapper extends BaseMapper<Menu> {

    List<Menu> getMyMenu(@Param("accountName") String accountName);

    List<String> getMyButton(@Param("userId") Integer userId);
}
